{
  "type": "minecraft:crafting_shaped",
  "category": "building",
  "key": {
    "#": "exotelcraft:blogre_planks",
    "X": "minecraft:book"
  },
  "pattern": [
    "###",
    "XXX",
    "###"
  ],
  "result": {
    "id": "exotelcraft:blogre_bookshelf"
  }
}